Subject: Re: push.default: current vs upstream

From: Matthieu Moy <[email-masked]>
Date: Mon, 02 Apr 2012 09:40:22 +0200

Junio C Hamano <[email-masked]> writes:

> Obviously the
> former is much simpler to explain and understand, as people do not have to
> learn upstream tracking before doing their first "push".

Again, this is simple only for people who never run "git pull" without
argument.

For the others, they already have to learn about the "upstream"
semantics. And making argumentless "git pull" and "git push" purposely
asymetric to make it simple for the user sounds like an oxymoron to me.

The discussion seems to focuse on 'let's make "git push" easy to
explain', but I think the right thing to do is to make _Git_ easy to
explain. With "push.default = current", we'll have a hard time
explaining how "git pull" works.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/